#!/bin/python
""" surl setup.py """

#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

import sys
import surl.version
from distutils.core import setup

if sys.version < '2.5':
    sys.exit('Sorry, you need python 2.5 or higher to install surl')

version = '0.5.1'
if surl.version.get_version < version:
    # If older version in version.py
    f = open('surl/version.py', 'w')
    f.write("""def get_version():
    return '%s'
""" % (version))
    f.close()

setup(  name = 'surl',
        version = version,
        long_description = "surl is a URL shortening command line application that supports various sites.",
        license = 'GPL',
        author = 'Savvas Radevic',
        author_email = 'vicedar@gmail.com',
        url = 'http://launchpad.net/surl',
        packages = ['surl'],
        scripts = ['scripts/surl'],
)
